version: '3.7'
networks:
  network:

volumes:
  data_jenkins_db:
  data_jenkins_tbs_geo_db:
  data_jenkins_tbs_index_ssd_db:

services:
  jenkins_db:
    image:  registry.gitlab.com/sisicmbio/jenkins/pdci/postgis-dev:latest
    env_file:
      - ./.env.docker.dev
    environment:
      - POSTGRES_DB=gis
      - POSTGRES_USER=postgres
      - ALLOW_IP_RANGE=0.0.0.0/0
    restart: always
    ports:
      - 54000-54300:5432
    networks:
      - network
    volumes:
      - data_jenkins_db:/var/lib/postgresql
    deploy:
      resources:
        limits:
          cpus: '0.50'
          memory: 1024M
#  jenkins_ifd:
#    image: registry.gitlab.com/sisicmbio/pdci/jenkins/image_file_dump-dev:latest
#    env_file:
#      - ./.env.docker.dev
#    environment:
#      - PDCI_BD_HOST=jenkins_db
#      - PDCI_DB_HOST=jenkins_db
#    networks:
#      - network
#    command:
#      - pdci_restaurar_db.sh
